Bug 4326 - building shared libraries through qmake is broken
: building shared libraries through qmake is broken
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libqt3-devel)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
: 3459
  Show dependency tree
 
Reported: 2004-06-09 22:49 by
Modified: 2006-12-17 16:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-06-09 22:49:20
libqt3-devel-3.3.2-alt3

Создаём простейший libtest.pro:
=====
TEMPLATE = lib
TARGET = test
SOURCES = test.cpp
=====

а также пустой test.cpp.

$ $QTDIR/bin/qmake && make
g++ -c -pipe -Wall -W -pipe -Wall -O2 -march=i586 -mcpu=i686 -DGLX_GLXEXT_LEGACY
-fno-exceptions -fPIC  -DQT_NO_DEBUG -I/usr/lib/qt3/mkspecs/default -I.
-I/usr/lib/qt3//include -o test.o test.cpp
rm -f libtest.so.1.0.0 libtest.so libtest.so.1 libtest.so.1.0
g++ -shared -Wl,-soname,libtest.so.1
-Wl,--version-script=/usr/lib/qt3//src/libqt_add.map -o libtest.so.1.0.0 test.o
  -L/usr/lib/qt3//lib -lqt-mt 
/usr/bin/ld: cannot open linker script file /usr/lib/qt3//src/libqt_add.map: No
such file or directory
collect2: ld returned 1 exit status
make: *** [libtest.so.1.0.0] Error 1
------- Comment #1 From 2004-06-10 14:18:54 -------
Ой, расфиксилось, сейчас исправлю. 
------- Comment #2 From 2004-06-10 20:58:06 -------
fixed in libqt3-3.3.2-alt4